Name:           python-jupyterlab-git
Version:        0.50.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A JupyterLab extension for version control using git

# No license information obtained, it's up to the packager to fill it in
License:        BSD-3-Clause
URL:            https://github.com/jupyterlab/jupyterlab-git
Source:         %{pypi_source jupyterlab_git}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  nodejs-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'jupyterlab-git' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-jupyterlab-git
Summary:        %{summary}

%description -n python3-jupyterlab-git %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
#pyproject_extras_subpkg -n python3-jupyterlab-git dev,test,ui-tests


%prep
%autosetup -p1 -n jupyterlab_git-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x test


%build
%pyproject_wheel


%install
%pyproject_install
# Add top-level Python module names here as arguments, you can use globs
%pyproject_save_files -l jupyterlab_git
mkdir -p %{buildroot}%{_sysconfdir}/jupyter/jupyter_server_config.d
mv %{buildroot}%{_prefix}/etc/jupyter/jupyter_server_config.d/jupyterlab_git.json \
	%{buildroot}%{_sysconfdir}/jupyter/jupyter_server_config.d/jupyterlab_git.json


%check
%pyproject_check_import
%pytest jupyterlab_git


%files -n python3-jupyterlab-git -f %{pyproject_files}
%{_datadir}/jupyter/labextensions/@jupyterlab/git/
%{_sysconfdir}/jupyter/jupyter_server_config.d/jupyterlab_git.json


%changelog
%autochangelog
